var init = function () {
  var $descriptions = $('.description'),
      $menuItems = $('.menu-item'),
      $menu = $('.menu-section'),
      orientation = screen.orientation.substr(0, screen.orientation.indexOf('-'));

  $menu.on('click', '.menu-item', function () {
    var $menuItem = $(this),
        planetName = $menuItem.text().toLowerCase();

    $descriptions.hide();
    $descriptions.filter('#' + planetName).show();

    $menuItems.removeClass('selected');
    $menuItem.addClass('selected');

    window.scrollTo(0, 0);
  });

  $menu.on('click', '.toggle', function () {
    $menu.toggleClass('folded');
  });

  var start = null;
  $menu.on('touchstart touchmove touchend', function (e) {
    var touches = e.originalEvent.changedTouches,
        dist = 0;

    if (touches.length === 1) {
      if (e.type === 'touchstart') {
        start = touches[0].pageY;
      } else if (e.type === 'touchmove') {
        e.preventDefault();

        dist = touches[0].pageY - start;
        if (dist > 20) {
          $menu.removeClass('folded');
        } else if (dist < -20) {
          $menu.addClass('folded');
        }
      }
    }
  });

  document.addEventListener('tizenhwkey', function (e) {
    if (e.keyName === 'back') {
      if (!$menu.hasClass('folded') && orientation === 'portrait') {
        $menu.addClass('folded');
      } else {
        tizen.application.getCurrentApplication().exit();
      }
    }
  });

  tizen.systeminfo.addPropertyValueChangeListener('DEVICE_ORIENTATION', function (e) {
    orientation = e.status.toLowerCase().substr(0, e.status.indexOf('_'));
  });
};

window.onload = init;